
CREATE TABLE tmp (x REAL);
INSERT INTO tmp VALUES (1.25);
INSERT INTO tmp VALUES (3);
INSERT INTO tmp VALUES (4.625);
INSERT INTO tmp VALUES (3);
INSERT INTO tmp VALUES (null);
INSERT INTO tmp VALUES (2.825);

SELECT COUNT(*) AS count,COUNT(x) AS count,COUNT(DISTINCT x) AS count,
	MIN(x) AS min,MIN(DISTINCT x) AS min,
	MAX(x) AS max,MAX(DISTINCT x) AS max,
	ROUND(SUM(x),1) AS sum,ROUND(SUM(DISTINCT x),1) AS sum,
	ROUND(AVG(x),2) AS avg,ROUND(AVG(DISTINCT x),3) AS avg
FROM tmp;

DROP TABLE tmp;
